# Upload Photos to a Location

```http
POST https://api.synup.com/api/v4/locations/photos
```

This API allows you to add photos to a specific location. Photos can be of different types, including logos, cover photos, and additional images.

:::info[]
 Each location can only have one logo and one cover photo.
:::

For more details, refer to Manage photos for your location.

Source: https://developer.synup.com/api/locations/upload-photos-to-a-location

## Request body

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `input` | object | required |  |
| `input.locationId` | string | required | The ID of the location for which photos will be added |
| `input.photos` | array of object | required |  |
| `input.photos[].photo` | string | required | URL of the image |
| `input.photos[].type` | string | required | Type of photo One of: `LOGO`, `COVER`, `ADDITIONAL` |

## Example request

```bash
curl -X POST 'https://api.synup.com/api/v4/locations/photos' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "input": {
    "locationId": "TG9jYXRpb246MTA4NzIxMQ==",
    "photos": [
      {
        "photo": "https://via.placeholder.com/250?text=LOGO+Placeholder",
        "type": "LOGO"
      },
      {
        "photo": "https://via.placeholder.com/800x400?text=COVER+Placeholder",
        "type": "COVER"
      },
      {
        "photo": "https://via.placeholder.com/600x400?text=ADDITIONAL+Image",
        "type": "ADDITIONAL"
      }
    ]
  }
}'
```

## Responses

| Status | Description |
| --- | --- |
| `200` |  |
| `400` |  |
| `x-200:Example Response (Over 30 Photos)` |  |
